### Method

# Clutter Timeline get_duration_hint

#### Declaration [src]

    gint64
    clutter_timeline_get_duration_hint (
      ClutterTimeline* timeline
    )

#### Description [src]

Retrieves the full duration of the `timeline`, taking into account the current value of the `ClutterTimeline:repeat-count` property.

If the `ClutterTimeline:repeat-count` property is set to -1, this function will return `G_MAXINT64`.

The returned value is to be considered a hint, and it’s only valid as long as the `timeline` hasn’t been changed.

#### Return value

Type: `gint64`

The full duration of the `ClutterTimeline`.